package _VisualDVM.Visual.Windows;
import _VisualDVM.Global;
import _VisualDVM.Visual.Interface.FormWithSplitters;
import _VisualDVM.Visual.Interface.TestsWindow;

import javax.swing.*;
public class TestsForm implements TestsWindow, FormWithSplitters {
    private JPanel content;
    public JSplitPane SC45;
    private JPanel groupsBackground;
    private JPanel groupsPanel;
    private JPanel testsPanel;
    @Override
    public JPanel getContent() {
        return content;
    }
    @Override
    public void ShowAll() {
        Global.testingServer.db.groups.ShowUI();
    }
    public TestsForm(){
        LoadSplitters();
        Global.testingServer.db.groups.mountUI(groupsPanel);
        Global.testingServer.db.tests.mountUI(testsPanel);
    }
}
